RoleStep (gCube Workflow Documents Manager Portlet 2.1.0-2.17.2 API)
Date: 2014-01-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.wfdocviewer.shared
Class RoleStep

    java.lang.Object
      org.gcube.portlets.admin.wfdocviewer.shared.RoleStep

All Implemented Interfaces:
  Serializable

    public class RoleStep

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`RoleStep()`
`RoleStep(org.gcube.portlets.admin.wfdocslibrary.shared.WfRole role, org.gcube.portlets.admin.wfdocslibrary.shared.Step step)`

Method Summary
`org.gcube.portlets.admin.wfdocslibrary.shared.WfRole` | `getRole()`
`String` | `getRolename()`
`org.gcube.portlets.admin.wfdocslibrary.shared.Step` | `getStep()`
`void` | `setRole(org.gcube.portlets.admin.wfdocslibrary.shared.WfRole role)`
`void` | `setStep(org.gcube.portlets.admin.wfdocslibrary.shared.Step step)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoleStep

    public RoleStep()

### RoleStep

    public RoleStep(org.gcube.portlets.admin.wfdocslibrary.shared.WfRole role,
                    org.gcube.portlets.admin.wfdocslibrary.shared.Step step)

Method Detail

### getRolename

    public String getRolename()

### getRole

    public org.gcube.portlets.admin.wfdocslibrary.shared.WfRole getRole()

### setRole

    public void setRole(org.gcube.portlets.admin.wfdocslibrary.shared.WfRole role)

### getStep

    public org.gcube.portlets.admin.wfdocslibrary.shared.Step getStep()

### setStep

    public void setStep(org.gcube.portlets.admin.wfdocslibrary.shared.Step step)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.